Package org.drinkless.tdlib

# Class TdApi.DisconnectAffiliateProgram

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ConnectedAffiliateProgram>
org.drinkless.tdlib.TdApi.DisconnectAffiliateProgram

Enclosing class:
  `TdApi`

public static class TdApi.DisconnectAffiliateProgram extends TdApi.Function<TdApi.ConnectedAffiliateProgram>
Disconnects an affiliate program from the given affiliate and immediately deactivates its referral link. Returns updated information about the disconnected affiliate program.

Returns `ConnectedAffiliateProgram`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.AffiliateType`
  `affiliate`
  The affiliate to which the affiliate program is connected.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `url`
  The referral link of the affiliate program.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisconnectAffiliateProgram()`
  Default constructor for a function, which disconnects an affiliate program from the given affiliate and immediately deactivates its referral link.
  `DisconnectAffiliateProgram(TdApi.AffiliateType affiliate, String url)`
  Creates a function, which disconnects an affiliate program from the given affiliate and immediately deactivates its referral link.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### affiliate

    public TdApi.AffiliateType affiliate
    The affiliate to which the affiliate program is connected.

  - ### url

    public String url
    The referral link of the affiliate program.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DisconnectAffiliateProgram

    public DisconnectAffiliateProgram()
    Default constructor for a function, which disconnects an affiliate program from the given affiliate and immediately deactivates its referral link. Returns updated information about the disconnected affiliate program.

    Returns `ConnectedAffiliateProgram`

  - ### DisconnectAffiliateProgram

    public DisconnectAffiliateProgram(TdApi.AffiliateType affiliate, String url)
    Creates a function, which disconnects an affiliate program from the given affiliate and immediately deactivates its referral link. Returns updated information about the disconnected affiliate program.

    Returns `ConnectedAffiliateProgram`

    Parameters:
      `affiliate` - The affiliate to which the affiliate program is connected.
      `url` - The referral link of the affiliate program.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ConnectedAffiliateProgram>`
    Returns:
      this.CONSTRUCTOR